<!DOCTYPE html>
<html lang="es">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta
			name="viewport"
			content="width=device-width, initial-scale=1.0"
		/>
		<link rel="stylesheet" href="./style/style.css" />
		<link rel="preconnect" href="https://fonts.gstatic.com" />
		<link
			href="https://fonts.googleapis.com/css2?family=Baloo+Tammudu+2:wght@400;500;600;700;800&display=swap"
			rel="stylesheet"
		/>
		<title>Web Component API</title>
	</head>
	<body>
		<template id="renglon">
			<tr class=".trRenglon">
				<td class="idDatos"></td>
				<td class="nombreDatos"></td>
				<td class="apellidoDatos"></td>
				<td class="emailDatos"></td>
			</tr>
		</template>
		<template id="error">
			<div class="containerError">
				<p>No hay resultados</p>
			</div>
		</template>

		<h1>Web Component API</h1>
		<div class="container">
			<header>
				<h2>Empleados</h2>
				<section class="containerSearch">
					<div class="txtContainer">
						<label for="txtSearch">Filter:</label>
						<input
							type="text"
							name="filtro"
							id="txtSearch"
						/>
					</div>
					<div class="botones">
						<button class="btnSearch">Buscar</button>
						<button class="btnClear">Limpiar</button>
					</div>
				</section>
			</header>
			<section class="containerTable">
				<componente-error></componente-error>

				<table class="table">
					<thead>
						<th>ID-Persona</th>
						<th>Nombre</th>
						<th>Apellido</th>
						<th>Email</th>
					</thead>
					<tbody id="tBody">
						<renglon-tabla></renglon-tabla>
					</tbody>
				</table>
			</section>
			<button id="btnAPI" class="btnAPI">
				Obtener Datos
			</button>
		</div>

		<script src="./js/componentTable.js"></script>
		<script src="./js/componentError.js"></script>
	</body>
</html>
